import React from "react";

export const Enginner = ({
  color = "currentColor",
  width = "18px",
  height = "18px",
}) => {
  return (
    <svg
    width={width}
    height={height}
      id="Capa_1"
      enable-background="new 0 0 512 512"
      viewBox="0 0 512 512"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g>
        <path d="m419.617 352.851-91.255-28.923v-39.546c20.939-19.448 34.064-47.2 34.064-77.963v-8.337l7.994-.526c12.545-.826 22.006-10.492 22.006-22.484v-15c0-9.777-6.27-18.113-15-21.209v-16.29c0-29.231-9.886-56.556-27.837-76.942-15.559-17.669-35.868-28.497-56.533-30.345-3.015-8.878-11.423-15.286-21.306-15.286h-31.5c-9.883 0-18.291 6.408-21.306 15.284-20.666 1.847-40.974 12.675-56.533 30.345-17.951 20.386-27.837 47.711-27.837 76.942v16.29c-8.729 3.096-15 11.432-15 21.209v15c0 11.992 9.46 21.658 22.006 22.484l7.994.526v8.337c0 30.764 13.126 58.515 34.064 77.963v39.546l-91.255 28.923c-41.633 13.195-79.004 29.101-79.004 78.135v81.016h485.243v-30h-15v15h-58.771v-126.632c38.984 13.369 58.771 27.668 58.771 60.617v6.015h15v-6.015c0-49.034-37.372-64.939-79.005-78.134zm-24.766 7.885 15 4.754v101.51h-15zm-292.702 4.755 15-4.754v106.263h-15zm0 116.509h30v-126.018l15-4.754v130.772h101.351v15h-146.351zm59.999-123.58 86.352 81.806v26.774h-86.352zm101.352 81.806 86.352-81.806v108.58h-86.352zm-45.75-409.707v48.529h15v-56.548c0-4.136 3.364-7.5 7.5-7.5h31.5c4.136 0 7.5 3.364 7.5 7.5v56.548h15v-48.529c34.202 4.645 68.176 40.455 68.176 92.052v15h-53.176v-7.5c0-12.406-10.093-22.5-22.5-22.5h-61.5c-12.406 0-22.5 10.093-22.5 22.5v7.5h-53.176v-15c0-51.597 33.974-87.407 68.176-92.052zm76.5 107.052h-76.5v-7.5c0-4.135 3.364-7.5 7.5-7.5h61.5c4.135 0 7.5 3.364 7.5 7.5zm-129.676 68.847v-7.35l33.985 2.237.985-14.968-56.979-3.75c-3.874-.255-7.991-2.976-7.991-7.516v-15c0-4.135 3.364-7.5 7.5-7.5h227.853c4.135 0 7.5 3.364 7.5 7.5v15c0 4.54-4.117 7.261-7.991 7.516l-113.436 7.468-41.485-2.731-.985 14.968 42.47 2.796 91.426-6.019v7.35c0 50.413-41.014 91.426-91.426 91.426s-91.426-41.014-91.426-91.427zm91.426 106.427c21.107 0 40.798-6.177 57.362-16.817v31.746c-7.832 16.103-30.116 26.43-57.362 26.43s-49.53-10.328-57.362-26.43v-31.746c16.564 10.64 36.255 16.817 57.362 16.817zm-68.569 25.616c11.757 18.874 37.773 30.743 68.569 30.743s56.812-11.869 68.569-30.743l18.388 5.828-86.957 82.38-86.957-82.38zm-159.053 92.524c0-32.95 19.787-47.248 58.771-60.617v126.632h-58.771zm235.122 66.015v-15h101.352v-130.772l15 4.754v126.018h30v15z" />
        <path d="m483.622 452h15v15h-15z" />
        <path d="m309.25 58.678h15v15h-15z" />
        <path d="m324.25 88.678h15v15h-15z" />
      </g>
    </svg>
  );
};
